it-swarm.it

Come installo Adobe Flash Player?

Ho avuto problemi significativi con la visione di video flash in Ubuntu a 64 bit. Qualcuno conosce un buon modo per far funzionare il flash sulla piattaforma?

105
Steven Oxley

Per 11.04 e precedenti:

Lo stai installando da Ubuntu Software Center?

  1. Vai su Applicazioni-> Ubuntu Software Center.
  2. Fai clic su Partner canonici
  3. Fai clic sul plug-in Adobe Flash 11 e fai clic su Installa.

Nota: questo è il metodo che uso sulla mia installazione di Ubuntu a 64 bit e non ha ancora fallito.

enter image description here

81
Nathan Osman

Per l'11.10 e successive

Avviare Software Center dal Launcher e cercare flash

Saranno trovate due voci. Il primo è il wrapper attorno alla versione flash a 32 bit di Adobe. La seconda è la versione flash a 64 bit.

Seleziona la seconda voce flash: se viene visualizzata la seguente immagine, non hai già abilitato il Repository partner Canonical in precedenza.

enter image description here

Fai clic su Altre informazioni

enter image description here

... e fai clic su Usa questa fonte per abilitare il Repository dei partner canonici

enter image description here

vedere la fine di questa risposta per la segnalazione di bug

Fai clic su Installa

enter image description here

Fai clic sul pulsante Installa e inserisci la tua password quando richiesto. Nota: è necessario disporre dell'autorizzazione per installare il software.

enter image description here

L'installazione procederà:

enter image description here

Una volta completato, avvia Firefox e passa al tuo video Flash. Fare clic con il tasto destro e confermare che l'ultima versione di Flash è stata installata correttamente.

enter image description here

Nota - le foto sono soggette a modifiche - la versione a 64 bit è stata impacchettata di recente solo l'ultima settimana prima del rilascio di Oneiric - Al momento esiste un problema:

  1. https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/870835

Nel frattempo, utilizzare il primo plug-in "Multiverso" a 32 bit nelle immagini sopra oppure utilizzare Adobe-flashplugin

Sudo apt-get install Adobe-flashplugin
68
fossfreedom

Ecco come installare Adobe Flash Plugin per Firefox:

  1. Vai a this page e seleziona l'opzione .tar.gz per altri Linux. Scarica il file.
  2. Decomprimi il plugin tar.gz e copia i file nella posizione appropriata.
  3. Salvare il plugin tar.gz localmente e annotare la posizione in cui è stato salvato il file.
  4. Avviare il terminale e modificare le directory nella posizione in cui è stato salvato il file.
  5. Decomprimere il file tar.gz. Una volta decompresso vedrai quanto segue:

    • libflashplayer.so
    • / usr
  6. Identifica la posizione della directory dei plugin del browser, in base alla tua distribuzione Linux e alla versione di Firefox (di solito è /usr/lib/mozilla/plugins/)
    Per ubuntu 14.04 il percorso è: /usr/lib/firefox/browser/plugins

  7. Copia libflashplayer.so nella directory dei plugin del browser appropriata. Al prompt digitare:

    Sudo cp libflashplayer.so <BrowserPluginsLocation>
    
  8. Copia i file di configurazione delle Impostazioni locali di Flash Player nella directory/usr. Al prompt digitare:

    Sudo cp -r usr/* /usr
    
  9. Ora riavvia il browser.

31
ignite

Da quando hai affermato che questa è la prima volta che usi Ubuntu. suggerirei di installare il pacchetto Ubuntu-restrizioni-extra, questo include un sacco di cose utili come Adobe Flash e codec e font MS ecc.

puoi farlo in molti modi.

centro software: fare clic su questo collegamento:

Install via the software center

o in un terminale: digitare Sudo apt-get install ubuntu-restricted-extras

synaptic: cercare il pacchetto ubuntu-limited-extras fare clic con il tasto destro del mouse sul pacchetto e selezionare Installa, quindi selezionare Contrassegna. dopo aver fatto clic sul pulsante Applica e verrà installato tutto.

21
Terry

C'è una soluzione semplice per questo problema.

Apri Firefox e vai a Youtube . Fai clic su qualsiasi video. Sicuramente non funzionerà perché non hai alcun flash player installato. Ma Firefox ti promuoverà a install missing plug-in nella parte superiore. Basta fare clic su di esso e seguire la procedura. Successivamente il video inizierà a essere riprodotto. Assicurati di avere installato il browser Firefox più recente.

Oppure prova questo nel tuo terminale

Sudo apt-get install flashplugin-installer
13
Kaktarua

Ottieni la mia estensione Flash-Aid per Firefox. Si occuperà del download e dell'installazione della versione appropriata per l'architettura del sistema e rimuoverà anche i plugin in conflitto. Se sei su 64 bit, ti consente anche di installare la versione di anteprima a 64 bit, che offre risultati migliori rispetto a 32 bit con nspluginwrapper.

A proposito, se non riesci a copiare nulla nella cartella ~/.mozilla/plugins, allora dovresti controllare la proprietà della cartella ~/.mozilla. Dovrebbe consentire di copiare qualsiasi cosa lì. A meno che, ovviamente, non ti riferisca a una cartella di sistema esterna alla tua home directory, che richiede il privilegio di root.

5
lovinglinux

Dipende dal browser che stai utilizzando. Google Chrome (non Chromium) ha Flash Player per impostazione predefinita.

Vai su www.google.com/chrome e fai clic su download Chrome Scegli .deb a 64 bit (chiunque legga questo con macchine a 32 bit dovrebbe selezionare .deb a 32 bit)

Quando fai clic sul file .deb quando è stato scaricato, si aprirà nel Software Center. Ora fai clic su Installa e al termine puoi trovare il browser in Applicazioni -> Internet.

4
Mozart321

Ho esaminato quanti più suggerimenti possibili ho trovato nel tentativo di far funzionare il flash in Chrome sulla mia installazione a 13 bit a 64 bit. Niente ha funzionato. Alla fine mi sono imbattuto nella risposta di Pepper Flash.

Ci sono istruzioni complete e ben scritte su (il link è diretto)

buntuhandbook.org

Descrivono in dettaglio l'aggiunta del repository, l'aggiornamento di apt, l'installazione di Pepper e la modifica della configurazione chrome. La cosa che ho fatto diversamente dalle loro istruzioni è stata quella di passare alla directory/etc/chromium-browser ed emettere il comando

Sudo gedit default

che mi ha permesso di aggiungere un commento al file oltre alle informazioni .sh necessarie, quindi le ultime due righe del mio file predefinito modificato erano:

# enable Pepper Flash Player Plugin
. /usr/lib/pepflashplugin-installer/pepflashplayer.sh

Spero che questa soluzione funzionerà per qualche tempo.

2
zenpistolero
Sudo apt-get remove --purge Adobe-flashplugin flashplugin* nspluginwrapper
Sudo apt-get install --reinstall Adobe-flashplugin

Rif: http://ubuntuguide.net/install-Adobe-flash-pluginfix-not-working-problem-in-ubuntu-11-10-oneiric

2
Coc

I video Flash non verrebbero riprodotti su una nuova installazione di Ubuntu 14.04, anche con Adobe-flashplugin dal repository "partner" - ottenuto schermo nero su YouTube (tranne dopo aver impostandolo per usare HTML5 ), dailymotion, ecc. L'installazione di freshplayerplugin (apparentemente un wrapper per il flash player di Chrome) ha risolto il problema:

Sudo add-apt-repository ppa:nilarimogard/webupd8
Sudo apt-get update
Sudo apt-get install freshplayerplugin

Utilizzare Ubuntu Software Center (nel menu Applicazioni). Nel campo di immissione del testo (della casella di ricerca), è possibile cercare "flash" e i risultati popoleranno un plug-in Adobe Flash (notare il logo Adobe). Scegli quello e segui le indicazioni per usare la fonte.

2
Daniel T Chen

Ricontrolla quale directory "plugin" è in uso. Ho dovuto passare un'ora buona solo una volta ad esplorare tutte le directory dei plugin fino a quando non ho trovato quelle che il mio Firefox stava effettivamente leggendo, e poi ln -s le ha fatte tutte per indicare una comune.

Alla fine della giornata potresti lasciarlo cadere nel posto sbagliato.

Anche avvia firefox dalla riga di comando, potresti vedere degli errori. L'esempio sta eseguendo un flash player x86 in un browser x64 (non os) e viceversa. Dalla riga di comando (%> firefox) dovresti vedere le righe del registro di inizializzazione del plugin. (forse prova prima questo: P)

Anche qualsiasi cosa in /usr/lib/... è di proprietà di root, quindi dovresti Sudo cp libflashplayer.so /usr/lib/firefox/plugin dove .../firefox/plugin punta alla posizione della directory dei plugin di firefox.

2
Dmitriy Likhten

Correzione definitiva per Flash a 64 bit su 11.10

Ho corretto Flash a 64 bit sui miei sistemi 11.10 senza alcun wrapper. Se segui le soluzioni sopra menzionate, finirai comunque con la versione a 32 bit e i wrapper.

Nota: la maggior parte di questo può essere eseguita anche in un terminale, in quel caso non è necessario installare Synaptic. Inoltre, potrebbe essere sufficiente eseguire i passaggi 5, 6 e 8, ma ho non ancora testato.

  1. Installa Synaptic (Software Center non mostra il pacchetto necessario, non negli articoli principali e non negli articoli tecnici e nemmeno dopo che è stato installato)
  2. Avvia Synaptic e cerca 'flash'
  3. Ordina per stato installato
  4. Rimuovere tutti i pacchetti relativi a Flash (come flashplugin-downloader: i386, flashplugin-installer, ndiswrapper-common ecc.). Se non è elencato nulla, probabilmente non hai Flash installato. In tal caso, passa al passaggio successivo.
  5. Abilita il repository dei partner canonici (vedi sopra i post su come farlo)
  6. Aggiorna l'elenco dei pacchetti (non contare su Software Center che fa questo per te, a volte non lo fa) facendo clic su "Ricarica" ​​in
  7. Cerca di nuovo "flash"
  8. Installa il pacchetto "Adobe-flashplugin". Se non è nell'elenco, qualcosa è andato storto durante l'aggiornamento degli elenchi dei pacchetti. Prova a chiudere e riavviare Synapic, quindi fai clic su "Ricarica".

Un pacchetto aggiuntivo, "Adobe-flash-properties-gtk" verrà installato automaticamente. Niente di più.

Ora avrai Flash completo a 64 bit senza involucri e altri rifiuti sia in Firefox che in Chromium. È tuttavia necessario riavviare il/i browser/i. Se il problema persiste, prova a riavviare (potrebbe esserci qualche falso riferimento ai vecchi plugin da qualche parte).

2
iGadget

Ecco cosa devi fare: per impostazione predefinita, Ubuntu viene fornito con solo il software open source abilitato (penso che sia il caso, comunque).

Il modo in cui abiliti altre cose (come Flash, Java e il supporto per la registrazione o la riproduzione di MP3, che NON è open source) è di andare nel tuo Software Center, andare nei menu (sfortunatamente non sono attualmente su Ubuntu e posso ' t dirti quale menu) e cercare Sorgenti software.

Cliccaci sopra e verrai portato in una finestra che dice a Ubuntu cosa è permesso installare per te. Di fronte a te dovrebbe esserci un elenco di cinque diversi "universi". Quello che devi fare è abilitare i due che non sono attualmente abilitati.

Successivamente, dovrebbe chiederti se vuoi ricaricare i tuoi repository, ma in caso contrario, entra in una riga di comando e digita

Sudo apt-get update

e lasciarlo finire. Quindi dovresti essere in grado di trovare il flash nel Software Center o nella riga di comando. In alternativa, puoi installare il pacchetto ubuntu-limited-extra, che ti fornirà tutte e tre le cose che ho menzionato sopra.

In bocca al lupo!

2
Noah

Bene, inserisco questo qui, nella speranza di aiutare qualcuno. Dichiarerò cosa stava succedendo e come l'ho risolto.

SETUP:
Esecuzione di 12.04 da un'installazione WUBI.

PROBLEMA:
Quando ho cercato in Ubuntu Software Center la parola chiave flash, nessuna delle opzioni pubblicate qui è apparsa tranne UNA per un flash plugin per Mozilla. Durante il tentativo di installazione, ho riscontrato un errore di dipendenza.

Ho provato a installarlo tramite Ubuntu Restricted Extras da Ubuntu Software Center, tuttavia la parte del plug-in flash di questa installazione non ha funzionato a causa dell'errore di dipendenza.

Ho continuato a cercare e ho trovato questo comando per installare il plugin

Sudo apt-get install flashplugin-nonfree

e lo ha eseguito dal terminale.

Stesso errore di dipendenza con questo output:

Reading package lists... Done Building dependency tree        
Reading state information... Done Note, selecting 'flashplugin-installer' instead of 'flashplugin-nonfree' 
Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. 
The following information may help to resolve the situation:
The following packages have unmet dependencies:  
 flashplugin-installer : 
 Depends: libnspr4-0d but it is not going to be installed E: Unable to correct problems, you have held broken packages.

SOLUZIONE:

Mi sono imbattuto

Sudo apt-get install -f 

e poi

Sudo apt-get update 

che ho trovato da qualche altro post che stava cercando di risolvere le dipendenze.

Poi ho corso

Sudo apt-get install flashplugin-nonfree

e il plugin flash ora funziona su Chromium e Firefox.

1
Joel

Ho appena trovato una soluzione per coloro che hanno il flash funzionante su Firefox ma non su Chromium. Si basa sul fatto che ogni browser ha la propria directory di plugin:

  • / usr/lib/firefox-addons/plugins (per Firefox)
  • / usr/lib/chromium-browser/plugins (per Chromium)

Quindi, l'unica cosa che devi fare è unificarli, ovvero rendere l'uno il collegamento all'altro. Probabilmente, tutti i plugin si trovano nella directory dei plugin di Firefox, ma non vale la pena assicurarsi che:

ls -l /usr/lib/{mozilla,chromium-browser}/plugins

Se Firefox è quello in cui si trovano tutti i plugin, fai il prossimo. In caso contrario, fare il contrario:

Sudo rmdir /usr/lib/chromium-browser/plugins
Sudo ln -s /usr/lib/mozilla/plugins /usr/lib/chromium-browser/

Infine, riavvia Chromium in modo che le modifiche abbiano effetto.

Probabilmente, non sarebbe una cattiva idea creare una segnalazione di bug sui manutentori del pacchetto Chromium/Firefox per avvisare del bug e della soluzione semplice.

1
emi

Dipende da come stai installando. è tramite un file tar.gz o rpm o qualche altro metodo. Ci sono molti modi per ottenere flash.

Download link: https://get.Adobe.com/flashplayer/

Installation instructions
-------------------------

Installing using the plugin tar.gz:
    o Unpack the plugin tar.gz and copy the files to the appropriate location.  
    o Save the plugin tar.gz locally and note the location the file was saved to.
    o Launch terminal and change directories to the location the file was saved to.
    o Unpack the tar.gz file.  Once unpacked you will see the following:
        + libflashplayer.so
        + /usr
    o Identify the location of the browser plugins directory, based on your Linux distribution and Firefox version
    o Copy libflashplayer.so to the appropriate browser plugins directory.  At the Prompt type:
        + cp libflashlayer.so <BrowserPluginsLocation>
    o Copy the Flash Player Local Settings configurations files to the /usr directory.  At the Prompt type:
        + Sudo cp -r usr/* /usr

Installing the plugin using RPM:
   o As root, enter in terminal:
          + # rpm -Uvh <rpm_package_file>
          + Click Enter key and follow prompts

Installing the standalone player:
   o Unpack the tar.gz file
   o To execute the standalone player,
          + Double-click, or 
          + Enter in terminal: ./flashplayer

Bonus:

Uninstallation instructions
---------------------------

Manual uninstallation (for users who installed the plugin via Install script):
   o Delete libflashplayer.so binary and flashplayer.xpt file in 
   directory /home/<user>/.mozilla/plugins/

RPM uninstallation:
   o As root, enter in terminal:
          + # rpm -e flash-plugin
          + Click Enter key and follow prompts
1
Revanth Kumar

Nel caso in cui il

Sudo apt-get install flashplugin-nonfree

non funziona (come nel mio caso e non so perché ...), potresti provare Opera come browser. È l'unico che funziona per me.

PS: Non voglio pubblicizzare Opera un browser, è solo che questa è stata l'unica soluzione che in qualche modo ha funzionato per me.

1
Remi Meier

Ho controllato molte risposte su questo argomento la scorsa settimana. Finalmente ho trovato un link con una soluzione che FUNZIONA:

https://ubuntu-mate.community/t/tutorial-flash-player-for-chromium-and-firefox/3598

Fondamentalmente, la risposta è che sembra essere rimosso da tutte le fonti di software ed è necessario scaricare una versione precedente e installarla manualmente

0
palbeda

Linux non supporta più Adobe Flash Player nel suo negozio, quindi devi farlo manualmente.

Adobe flash player

Questo è verificato solo su Firefox anche se hai Chrome/Chromium non devi installarlo.

Esiste una procedura di installazione manuale di Adobe Flash Player su Ubuntu, attenersi alla seguente procedura: -

  1. Apri questo link . Ti suggerirà automaticamente una versione in base al tuo ambiente desktop.

  2. Selezionare l'opzione .tar.gz for Linux come mostrato nella schermata seguente.

    enter image description here

  3. Ora fai clic su Pulsante Scarica (Seleziona il percorso di download come Download nel tuo sistema per un facile accesso).

  4. Ora estrai il file con Right clicking sulla cartella e selezionando l'opzione Extract Here.

    file in downloads folder

  5. Apri Terminale CTRL+ALT+T e copia sotto il comando uno per uno

    5.1. cd ../

    5.2. cd your-pc-name (ad es. Paper96)

    5.3. cd Downloads (questa è la cartella in cui è stato scaricato il file nell'opzione 3 ).

    5.4. cd flash_player_npapi_linux.x86_64 (il nome del tuo file potrebbe essere diverso, copia il nome del file e incollalo nel terminale)

    5.5. Sudo mv libflashplayer.so \/usr/lib/firefox-addons/plugins premi invio e questo è tutto.

    terminal commands

  6. Ora chiudi il browser (Firefox) e il Terminale.

  7. Riavvia Firefox e ora hai Flash Player nel tuo browser. Visita questo link per verificare.

    new version of flash player

0
Pankaj Gautam